Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Alvaro Ramirez <[email-masked]>
Date: Mon, 10 Feb 2025 14:17:35 +0000

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>
>> Isn't this what shell-command-do-open ("Open" in a context 
>> menu) does,
>> in conjunction with shell-command-guess-open?  We also have
>> dired-context-menu, with similar functionality.  E.g., the w32
>> implementation calls w32-shell-execute, which AFAIU is the 
>> equivalent
>> of the proposed functionality, but just for a single action 
>> "share".
>> All we need is to have this as part of the above 
>> functionalities, not
>> as a separate NS-specific idiosyncratic feature.
>>
>> IOW, the way to implement this is to add the "share" (or maybe 
>> we
>> should call it "send to" or something similar) action to the 
>> context
>> menus we already have, and then each platform can implement 
>> that as it
>> sees fit.  For example, on GNU/Linux desktops I'd expect 
>> xdg-open to
>> have that capability.
>
> That makes sense to me, thanks.  So maybe we should just add the
> proposed functionality to our already-existing context menus on 
> NS?

Happy to modify the proposed patch to include an entry point in 
the existing context menu if we reckon that's acceptable.

Keep in mind it would be just that: an entry point to open the 
same dialog (ie. invoke ns-share somehow). I'm fine with it if you 
are.